Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class EventListenerList

    java.lang.Object
      org.apache.batik.dom.events.EventListenerList

public class EventListenerList
extends java.lang.Object

A simple list of EventListener. Listeners are always added at the head of the list.

Constructor Summary
`EventListenerList()`

Method Summary
`void` | `add(org.w3c.dom.events.EventListener listener)` Adds the specified event listener.
`boolean` | `contains(org.w3c.dom.events.EventListener listener)` Returns true of the specified event listener has already been added to this list, false otherwise.
`org.w3c.dom.events.EventListener[]` | `getEventListeners()` Returns an array of the event listeners of this list, or null if any.
`void` | `remove(org.w3c.dom.events.EventListener listener)` Removes the specified event listener.
`int` | `size()` Returns the number of listeners in the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerList

    public EventListenerList()

Method Detail

### getEventListeners

    public org.w3c.dom.events.EventListener[] getEventListeners()

  Returns an array of the event listeners of this list, or null if any.

### add

    public void add(org.w3c.dom.events.EventListener listener)

  Adds the specified event listener.

  Parameters:
    `listener` - the event listener to add

### remove

    public void remove(org.w3c.dom.events.EventListener listener)

  Removes the specified event listener.

  Parameters:
    `listener` - the event listener to remove

### contains

    public boolean contains(org.w3c.dom.events.EventListener listener)

  Returns true of the specified event listener has already been added to this list, false otherwise.

  Parameters:
    `listener` - the listener th check

### size

    public int size()

  Returns the number of listeners in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.